// SJPEGFile.h: Schnittstelle fr die Klasse SJPEGFile.
//
// Copyright by Andr Stein
// E-Mail: stonemaster@steinsoft.net, andre_stein@web.de
// http://www.steinsoft.net
//////////////////////////////////////////////////////////////////////

#ifndef SJPEGFILE_H
#define SJPEGFILE_H

#include <afx.h>
#include <ijl.h>


class SJPEGError
{
public:
	SJPEGError(CString string)
	{
		errorString = string;
	}
	
	CString getErrorString()
	{
		return errorString;
	}
protected:
	CString errorString;
};

class SJPEGFile  
{
public:
	SJPEGFile(const char* filename,bool topDownBuffer = true);
	SJPEGFile();
	
	virtual ~SJPEGFile();
	
	bool loadJpegFile(const char* filename,bool topDownBuffer = true);

	//*****************
	//Inline-Funktionen
	//*****************

	inline BYTE*& getData();
	inline int getWidth();
	inline int getHeight();
	inline int getChannels();


protected:
	void cleanUp();
	BYTE* imageData;

	int imageWidth;
	int imageHeight;
	int imageChannels;
};

//*****************
//Inline-Funktionen
//*****************

BYTE*& SJPEGFile::getData()
{
	return imageData;
}

int SJPEGFile::getWidth()
{
	return imageWidth;
}

int SJPEGFile::getHeight()
{
	return imageHeight;
}

int SJPEGFile::getChannels()
{
	return imageChannels;
}

#endif 